%bcond_with doc_pdf

Summary:        List-like structure which can be made immutable
Name:           python-frozenlist
Version:        1.4.0
Release:        3%{?dist}
License:        Apache-2.0
URL:            https://github.com/aio-libs/frozenlist
Source0:        %{pypi_source frozenlist}

BuildRequires:  python3-devel gcc python3dist(cython) < 3 python3dist(pytest)

%if %{with doc_pdf}
BuildRequires:  make python3dist(sphinx) python3-sphinx-latex latexmk
%endif

%description
FrozenList is a list-like structure which implements collections.abc.MutableSequence, and which can be made immutable.

%package -n python3-frozenlist
Summary:        List-like structure which can be made immutable

%description -n python3-frozenlist
FrozenList is a list-like structure which implements collections.abc.MutableSequence, and which can be made immutable.

%prep
%autosetup -n frozenlist-%{version}

find . -type f -name '*.c' -print -delete

echo 'intersphinx_mapping.clear()' >> docs/conf.py

%generate_buildrequires
%pyproject_buildrequires

%build
%{python3} -m cython -3 frozenlist/*.pyx -I frozenlist

%pyproject_wheel

%if %{with doc_pdf}
%make_build -C docs latex SPHINXOPTS='-j%{?_smp_build_ncpus}'
%make_build -C docs/_build/latex LATEXMKOPTS='-quiet'
%endif

%install
%pyproject_install
%pyproject_save_files frozenlist

%check
%pytest

%files -n python3-frozenlist -f %{pyproject_files}
%license LICENSE
%doc CHANGES.rst
%doc CONTRIBUTORS.txt
%doc README.rst
%if %{with doc_pdf}
%doc docs/_build/latex/frozenlist.pdf
%endif


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-2
- Rebuilt for loongarch release

* Thu Sep 28 2023 Wang Guodong <gordonwwang@tencent.com> - 1.4.0-1
- Upgrade to version 1.4.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-5
- Rebuilt for python 3.11

* Fri Sep 15 2023 jackeyji <jackeyji@tencent.com> - 1.3.3-4
- specify buildrequires cython < 3

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Shuo Wang <abushwang@tencent.com> - 1.3.3-1
- initial build
